Python SDK
import httpx
resp = httpx.get(
"https://api.decimal.ai/api/v1/datasets/ds_abc123",
headers={"Authorization": "Bearer dai_sk_..."},
)
resp.raise_for_status()
ds = resp.json()decimalai datasets show ds_abc123const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ds_abc123",
"name": "travel-sft-v2",
"dataset_type": "sft",
"description": "Successful flight booking traces.",
"training_target_agent": "travel-planner",
"training_target_model": "gpt-4o",
"current_version_id": "dv_001",
"versions": [
{
"id": "dv_001",
"version_number": 1,
"status": "ready",
"row_count": 1250,
"storage_format": "jsonl",
"source_breakdown": {
"keep": 1100,
"repair": 150
},
"created_at": "2026-04-01T12:00:00Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
Get a dataset
Get dataset detail with versions.
GET
/
api
/
v1
/
datasets
/
{dataset_id}
Python SDK
import httpx
resp = httpx.get(
"https://api.decimal.ai/api/v1/datasets/ds_abc123",
headers={"Authorization": "Bearer dai_sk_..."},
)
resp.raise_for_status()
ds = resp.json()decimalai datasets show ds_abc123const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ds_abc123",
"name": "travel-sft-v2",
"dataset_type": "sft",
"description": "Successful flight booking traces.",
"training_target_agent": "travel-planner",
"training_target_model": "gpt-4o",
"current_version_id": "dv_001",
"versions": [
{
"id": "dv_001",
"version_number": 1,
"status": "ready",
"row_count": 1250,
"storage_format": "jsonl",
"source_breakdown": {
"keep": 1100,
"repair": 150
},
"created_at": "2026-04-01T12:00:00Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I